Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Google Cloud Project APIs

Viewing Google Cloud Projects

search

Viewing Google Cloud Projects

Use the get /v1/cckm/gcp/projects API to view the list of Google Cloud projects in the linked Google Cloud account.

Syntax

curl -k '<IP>/api/v1/cckm/gcp/projects?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.

Request Query Parameters

Parameter Type Description
id string ID of the Google Cloud project.
name string Name of the Google Cloud project.
connection string Name or ID of the Google Cloud connection on the CipherTrust Manager.
cloud_name string Name of the cloud where the key resides.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.
sort string Comma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/api/v1/cckm/gcp/projects?skip=0&limit=10' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJhOGY3N2IxZS1lOTY2LTQwMjEtODRjMC01YjZiNjAzMTBmOWEiLCJzdWIiOiJsb2NhbHwzM2Y5ZDFmNi04MjJiLTQ0NTItOGM4MC1mYzM0ZGYyZTI3OGQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNjcyMjMzMDAtYjU2ZC00ZmVmLTkwMDEtZGE1NGY2ZDdiMzY4Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImY5ZWJkNTY5LWZjYjEtNGM4Ny1iZTljLWViNDM0MjFiMTkzZCIsImlhdCI6MTYyMDE5NTkwNCwiZXhwIjoxNjIwMTk2MjA0fQ.CjaIMoBp7nAZAM9Psm59tLGmX4iZDIfRxPp_5ahGnRc' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "84547ed8-6663-40d3-b1b4-0d985965c5a5",
            "uri": "kylo:kylo:cckm:gcp-project:84547ed8-6663-40d3-b1b4-0d985965c5a5",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2021-05-05T06:19:44.594083Z",
            "updatedAt": "2021-05-05T06:19:44.591111Z",
            "create_time": "2018-03-19T17:42:03.596Z",
            "lifecycle_state": "ACTIVE",
            "display_name": "Gemalto-kyloeng",
            "name": "projects/gemalto-kyloeng",
            "parent_id": "1035780943344",
            "parent_type": "folder",
            "project_id": "gemalto-kyloeng",
            "project_number": "44178215785",
            "connection": "gcp-connection",
            "cloud_name": "gcp",
            "organization_name": "organizations/358925527497",
            "organization_display_name": "358925527497"
        }
    ]
}

The output shows the list of Google Cloud projects available on the CipherTrust Manager.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.